import type { IWidget } from "@/types/widgetsConfigInterface"

export const containers: IWidget[] = [
  {
    category: 'container',
    type: 'el-table',
    displayName: '表格',
    icon: 'Monitor',
    options: {
      name: '',
      hidden: false,
    }
  },
  {
    category: 'container',
    type: 'el-table-column',
    displayName: '子单元格',
    icon: 'Monitor',
    options: {
      name: '',
      hidden: false,
    }
  }
]


export const basicFields: IWidget[] = [
  {
    category: 'formItem',
    type: 'el-input',
    displayName: '输入框',
    icon: 'Folder',
    options: {
      name: '',
      hidden: false,
    },
  },
  {
    category: 'formItem',
    type: 'el-input-number',
    displayName: '数值输入框',
    icon: 'Folder',
    options: {
      name: '',
      hidden: false,
    },
  },
  {
    category: 'formItem',
    type: 'el-redio',
    displayName: ' 单选项',
    icon: 'Folder',
    options: {
      name: '',
      hidden: false,
    },
  },
]
